local-seo
Track local keywords at a location
Up to 10 per location — each is a search per grid cell. A first check of the keywords added is queued at once; the location’s others are not searched again. Keywords add no location.
POST
/
v1
/
projects
/
{projectId}
/
local
/
keywords
Track local keywords at a location
curl --request POST \
--url https://api.surnex.io/v1/projects/{projectId}/local/keywords \
--header 'Content-Type: application/json' \
--data '
{
"place_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"keywords": [
"<string>"
]
}
'import requests
url = "https://api.surnex.io/v1/projects/{projectId}/local/keywords"
payload = {
"place_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"keywords": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({place_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', keywords: ['<string>']})
};
fetch('https://api.surnex.io/v1/projects/{projectId}/local/keywords', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"added": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"place_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"keyword": "<string>",
"location_code": 123,
"language_code": "<string>",
"is_active": true,
"last_checked_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"grid": {
"tracked_date": "2023-12-25",
"cells": 123,
"found": 123,
"top3": 123,
"top3_share": 123,
"average_position": 123
}
}
],
"skipped": [
"<string>"
]
}
}{}{}Path Parameters
Body
application/json
⌘I
Track local keywords at a location
